Skip to main content
GET
/
api
/
v1
/
alert-channels
/
{id}
Get a single alert channel by id
curl --request GET \
  --url https://api.devhelm.io/api/v1/alert-channels/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "displayConfig": {
      "recipients": [
        "<string>"
      ],
      "region": "<string>",
      "severityOverride": "<string>",
      "mentionRoleId": "<string>",
      "customHeaders": {},
      "chatId": "<string>",
      "priority": "<string>",
      "channel": "<string>",
      "routingKey": "<string>",
      "deviceIden": "<string>",
      "teamId": "<string>",
      "visibility": "<string>",
      "severity": "<string>",
      "site": "<string>",
      "projectKey": "<string>"
    },
    "configHash": "<string>",
    "lastDeliveryAt": "2023-11-07T05:31:56Z",
    "lastDeliveryStatus": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

OK

data
object
required

Alert channel with non-sensitive configuration metadata